<HTML>
<HEAD>
<TITLE>JSONtext.lvlib:Array of Variants to JSON Object.vi</TITLE>
<META NAME="Author" CONTENT="">
<META NAME="GENERATOR" CONTENT="G Development Environment">
</HEAD>
<BODY BGCOLOR="#FFFFFF">
<A NAME="JSONtext.lvlib:Array of Variants to JSON Object.vi"></A><H2>JSONtext.lvlib:Array of Variants to JSON Object.vi</H2>
<P>Flatten an Array of Variants into a JSON Object.  If item names are not supplied, they will be taken from the data name in the Variants.</P>
<P></P>
<P>Strings or Arrays of strings marked with a leading <a href="Pages\JSON tags.html">&lt;JSON&gt; tag</a> in their name (including inside clusters) are treated as already being valid JSON.  Strings not marked as &lt;JSON&gt; are quoted and escaped as a JSON String. </P>
<P><IMG SRC="Images/Array of Variants to JSON Objectc.png" ALT="JSONtext.lvlib:Array of Variants to JSON Object.vi"></P>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/cerrcodeclst.png" ALT="cerrcodeclst"></P>
</TD>
<TD>
<B>error in (no error)</B> <P>Describes error conditions that occur before this node runs. This input provides standard error in functionality.</P>
</TD>
</TR>
</Table>
<UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/cbool.png" ALT="cbool"></P>
</TD>
<TD>
<B>status</B> <P></P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/ci32.png" ALT="ci32"></P>
</TD>
<TD>
<B>code</B> <P></P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/cstr.png" ALT="cstr"></P>
</TD>
<TD>
<B>source</B> <P></P>
</TD>
</TR>
</Table>
</UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/c1dfxdt.png" ALT="c1dfxdt"></P>
</TD>
<TD>
<B>Array</B> </TD>
</TR>
</Table>
<UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/cfxdt.png" ALT="cfxdt"></P>
</TD>
<TD>
<B>type</B> </TD>
</TR>
</Table>
</UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/cbool.png" ALT="cbool"></P>
</TD>
<TD>
<B>Pretty Print?</B> <P>Formats the ouput JSON using new lines and indentation to make it more easily human readable.</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/c1dstr.png" ALT="c1dstr"></P>
</TD>
<TD>
<B>Names</B> </TD>
</TR>
</Table>
<UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/cstr.png" ALT="cstr"></P>
</TD>
<TD>
<B>type</B> </TD>
</TR>
</Table>
</UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/cbool.png" ALT="cbool"></P>
</TD>
<TD>
<B>enable LabVIEW extensions? (T)</B> <P>Enables LabVIEW JSON extensions to support NaN and Inf values of floating-point numbers. Not all JSON parsers support these extensions.  </P>
<P></P>
<P>By default, this input is true, to match the inbuilt LabVIEW JSON functions; however, one may enforce no use of of the LabVIEW Extension using the Project Conditional Disable Symbol &quot;JSONtext_Strict&quot; = &quot;True&quot;.</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/ierrcodeclst.png" ALT="ierrcodeclst"></P>
</TD>
<TD>
<B>error out</B> <P>Contains error information. This output provides standard error out functionality.</P>
</TD>
</TR>
</Table>
<UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/ibool.png" ALT="ibool"></P>
</TD>
<TD>
<B>status</B> <P></P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/ii32.png" ALT="ii32"></P>
</TD>
<TD>
<B>code</B> <P></P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/istr.png" ALT="istr"></P>
</TD>
<TD>
<B>source</B> <P></P>
</TD>
</TR>
</Table>
</UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/istr.png" ALT="istr"></P>
</TD>
<TD>
<B>&lt;JSON&gt;Object</B> <P>Output JSON.  The <a href="Pages\JSON tags.html">&lt;JSON&gt; tag</a> indicates to some downstream functions that this is JSON, rather than a standard LabVIEW string.</P>
</TD>
</TR>
</Table>
</BODY>
</HTML>

<p>See also <a href="Pages/JSONtext.html">JSONtext</a>.</p>
<p>For support please see <a title="[CR] JSONtext" href="https://lavag.org/topic/20236-cr-jsontext/" target="_blank" rel="noopener">[CR] JSONtext</a> and <a title="JSONtext Issues" href="https://bitbucket.org/drjdpowell/jsontext/issues?status=new&amp;status=open">Bitbucket Issue Tracker</a>.</p>